package com.example.maliciousapp;

import androidx.appcompat.app.AppCompatActivity;

import android.content.BroadcastReceiver;
import android.content.Intent;
import android.content.IntentFilter;
import android.net.ConnectivityManager;
import android.os.Bundle;
import android.util.Log;

public class MainActivity extends AppCompatActivity {

    // Flag: FLAG{carpe_diem}

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Log.e("MOBIOTSEC", "Hello and welcome!");

        BroadcastReceiver br = new MyReceiver();
        IntentFilter filter = new IntentFilter("victim.app.FLAG_ANNOUNCEMENT");
        filter.addAction("victim.app.FLAG_ANNOUNCEMENT");
        this.registerReceiver(br, filter);
    }
}